#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/preinstall.sh - libpython2_7 preinstallation
#
# Creation   :  2018-01-20 holbru
# Last update:  $Id: preinstall.sh 72028 2020-01-19 13:44:29Z hbfl $
#
# Copyright (c) 2018-2022 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=libpython2_7

# ---------------------------------------------------------------------------
# update system
# ---------------------------------------------------------------------------
installed=$(eisman check python 2.8.0)

if [ "${installed}" = "new" ]
then
    if [ -f /etc/filelist.d/python-files.txt ]
    then
        sed -i '/libpython2/d' /etc/filelist.d/python-files.txt
    fi
fi

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
